package com.cm.sa.admin.module.business.order.service;

package ..deTemp.1742362300012;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.cm.sa.admin.module.business.order.dao.CardOrderDetailDao;
import com.cm.sa.admin.module.business.order.domain.entity.CardOrderDetailEntity;
import com.cm.sa.admin.module.business.order.domain.form.CardOrderDetaiAddForm;
import com.cm.sa.admin.module.business.order.domain.form.CardOrderDetaiQueryForm;
import com.cm.sa.admin.module.business.order.domain.form.CardOrderDetaiUpdateForm;
import com.cm.sa.admin.module.business.order.domain.vo.CardOrderDetailVO;
import com.cm.sa.base.common.domain.PageParam;
import com.cm.sa.base.common.domain.PageResult;
import com.cm.sa.base.common.domain.ResponseDTO;
import com.cm.sa.base.common.util.SmartBeanUtil;
import com.cm.sa.base.common.util.SmartPageUtil;
import java.util.List;
import java.util.Map;
import javax.annotation.Resource;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.stereotype.Service;

@Service
public class CardOrderDetailService {
  @Resource
  private CardOrderDetailDao cardOrderDetailDao;
  
  public PageResult<CardOrderDetailVO> queryPage(CardOrderDetaiQueryForm queryForm) {
    Page<?> page = SmartPageUtil.convert2PageQuery((PageParam)queryForm);
    List<CardOrderDetailVO> list = this.cardOrderDetailDao.queryPage(page, queryForm);
    PageResult<CardOrderDetailVO> pageResult = SmartPageUtil.convert2PageResult(page, list);
    return pageResult;
  }
  
  public ResponseDTO<String> add(CardOrderDetaiAddForm addForm) {
    CardOrderDetailEntity cardOrderDetailEntity = (CardOrderDetailEntity)SmartBeanUtil.copy(addForm, CardOrderDetailEntity.class);
    this.cardOrderDetailDao.insert(cardOrderDetailEntity);
    return ResponseDTO.ok();
  }
  
  public ResponseDTO<String> update(CardOrderDetaiUpdateForm updateForm) {
    CardOrderDetailEntity cardOrderDetailEntity = (CardOrderDetailEntity)SmartBeanUtil.copy(updateForm, CardOrderDetailEntity.class);
    this.cardOrderDetailDao.updateById(cardOrderDetailEntity);
    return ResponseDTO.ok();
  }
  
  public ResponseDTO<String> batchDelete(List<Long> idList) {
    if (CollectionUtils.isEmpty(idList))
      return ResponseDTO.ok(); 
    this.cardOrderDetailDao.batchUpdateDeleted(idList, true);
    return ResponseDTO.ok();
  }
  
  public ResponseDTO<String> delete(Long cardOrderDetailId) {
    if (null == cardOrderDetailId)
      return ResponseDTO.ok(); 
    this.cardOrderDetailDao.updateDeleted(cardOrderDetailId, true);
    return ResponseDTO.ok();
  }
  
  public Map<Long, Map<?, ?>> getRechargeAmount(List<Long> orderIds) {
    return this.cardOrderDetailDao.getRechargeAmount(orderIds);
  }
}
